#!/usr/bin/env python

from distutils.core import setup, Extension
import sys

defines = [("HAVE_EXPAT_CONFIG_H", 1)]
if sys.byteorder == 'big':
    defines.append(('BYTEORDER', '4321'))
else:
    defines.append(('BYTEORDER', '1234'))
if sys.platform != 'win32':
    defines.append(('HAVE_UNISTD_H', '1'))

iterparse_ext = Extension(
    "vo.iterparser",
    ["src/iterparse.c",
     "src/expat/xmlparse.c",
     "src/expat/xmlrole.c",
     "src/expat/xmltok.c",
     "src/expat/xmltok_impl.c",
     "src/expat/xmltok_ns.c"],
    define_macros=defines,
    include_dirs=["src", "src/expat"])

setup(name="vo",
      version="0.4",
      description="Python based tools to parse/write VOTABLE files",
      author="Michael Droettboom",
      author_email="mdroe@stsci.edu",
      url="http://astropy.scipy.org/astropy/astrolib/",
      packages=["vo"],
      ext_modules=[iterparse_ext]
      )
